## twin-style-machbunt-trinity 14.0.13

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 18 Oct 2022 03:10:46 +0200

twin-style-machbunt-trinity (0.1-1) unstable; urgency=low

  * Initial release for TDE

 -- Mavridis Philippe <mavridisf@gmail.com>  Sun, 16 Oct 2022 11:07:15 +0900

## twin-style-machbunt-trinity 14.1.0

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## twin-style-machbunt-trinity 14.1.1

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 15:09:26 +0200

## twin-style-machbunt-trinity 14.1.2

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:52 +0200

## twin-style-machbunt-trinity 14.1.3

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:48:29 +0200

## twin-style-machbunt-trinity 14.1.4

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## twin-style-machbunt-trinity 14.1.5~pre0

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for d6217929495b3efe271a710147c45de580e9a6dc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## twin-style-machbunt-trinity 14.1.5

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## twin-style-machbunt-trinity 14.1.6~pre0

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d6217929495b3efe271a710147c45de580e9a6dc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## twin-style-machbunt-trinity 14.1.6~pre1

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 844d24abe8dd3f3bc324e9babbf22368d88cc9bf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:17:26 +0100

## twin-style-machbunt-trinity 14.2.0~pre30

=== src/CMakeLists.txt ===
tde_import( twin )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### twin_MachBunt (kpart)

tde_add_kpart( twin_MachBunt AUTOMOC

  SOURCES
    MachBuntButton.cpp
    MachBunt.cpp
  LINK
    tdecore-shared
    tdeui-shared
    tdecorations-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE MachBunt.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)

tde_create_translated_desktop(
    SOURCE MachBunt.kcsrc
    DESTINATION ${DATA_INSTALL_DIR}/tdedisplay/color-schemes
)

## twin-style-machbunt-trinity 14.2.0~pre29

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.2.0~pre29-0debian12.0.0+6) bookworm; urgency=low

  * Automated git build for 9114e91f4ea49d8c01a7910f4d1e6eb13614cdb4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: twin-style-machbunt-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Adrian Schroeter <adrian@suse.de>, Gerd Fleischer <gerdfleischer@web.de>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, tdebase-trinity-dev
Standards-Version: 3.6.2

Package: twin-style-machbunt-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TDE window decoration from SUSE 9.1/9.2
 This is a port of the KDE Window decoration extracted from SUSE 9.1/9.2.
 .
 An example color scheme is provided too.

## twin-style-machbunt-trinity 14.2.0~pre30

=== debian/changelog ===
twin-style-machbunt-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 15c4b54b1a9ad092447a7b1148e85ecbb36319f2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#twin-style-machbunt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:13:06 +0100
